:: Disclaimer: scripts are provided as-is and most of them use tools that are open source
:: or require a (small) license fee when used in a commercial environment. It is the 
:: responsibility of the end user that use scripts to respect the license agreement for
:: these tools. EFI can not be held responsible in any way if scripts don't behave like
:: they should do resulting in any form of financial loss or downtime. Have a good day.  

@echo off

:: Use ImageMagick to convert job with settings
:: Hans Sep February 9th 2015

:: Fiery JobFlow provided arguments
set INPUT=%~1
set OUTPUT=%~2
set JOBNAME=%~n3
set WORKFLOW=%~4
set PREFLIGHT=%~5
set VAULT=%~6

:: Static arguments
set pathScript=%~dp0
set ScriptName=%~n0
set pathLog=%VAULT%\%ScriptName%.log
set pathInclude=%pathScript%\_include
::Helper Apps
set pathImageMagick=%pathInclude%\imagemagick\convert.exe
if not exist %pathImageMagick% call :missing_imagemagick & exit /b 1

:main
call :convert

:success
exit /b 0

:convert
"%pathImageMagick%" "%INPUT%" "%OUTPUT%\%JOBNAME%.pdf"
goto :EOF

:missing_imagemagick
>>%pathLog% echo %DATE% %TIME% [ERROR] Can't find ImageMagick at %pathImageMagick%. Download Win32 portable runtime from http://www.imagemagick.com Exit script.
goto :EOF